[Solved] impossible upgrade squeeze->wheezy

Kernels, Network, and Services configuration
Post Reply
Message
Author
bxdfr
Posts: 2
Joined: 2012-07-28 08:26

[Solved] impossible upgrade squeeze->wheezy

#1 Post by bxdfr »

Hello, i try to upgrade my squeeze to wheezy

When i do:

Code: Select all

apt-get dist-upgrade
I have this message

Code: Select all

 E: Could not perform immediate configuration on 'default-jre'. Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)
So i try this:

Code: Select all

apt-get -o APT::Immediate-Configure=false dist-upgrade
But i have this message:

Code: Select all

E: Could not perform immediate configuration on 'phonon-backend-vlc'. Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)
I don't understand this last message because phonon-backend-vlc is not installed on my debian squeeze.

I tried with aptitude, but no more chance.

here my sources.list for squeeze:

Code: Select all

## =================================================
## squeeze
deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze main contrib non-free

## squeeze security
deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

## squeeze updates  
deb http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free

## squeeze proposed updates
# deb http://ftp.fr.debian.org/debian/ squeeze-proposed-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ squeeze-proposed-updates main contrib non-free

## squeeze-backports
deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free
  
## squeeze multimedia
deb http://www.deb-multimedia.org squeeze main non-free
deb-src http://www.deb-multimedia.org squeeze main non-free
## =================================================
here my sources.list to upgrade to wheezy:

Code: Select all

deb http://ftp.fr.debian.org/debian/ wheezy main non-free contrib

What can i do??
Last edited by bxdfr on 2012-07-29 10:37, edited 1 time in total.

User avatar
edbarx
Posts: 5410
Joined: 2007-07-18 06:19
Location: 35° 50 N, 14 º 35 E

Re: impossible upgrade squeeze->wheezy

#2 Post by edbarx »

If you want Wheezy (Testing), you must change all the "squeeze" pointers that you have in your sources.list file to wheezy. Then, you have to issue an:

Code: Select all

# apt-get update
After that, you issue the actual dist-upgrade command. Also, be aware that some packages may need to be upgraded first before all the others. As far as I can remember, dpkg, apt and the kernel are among them. So, if I remember well, you have to issue the command:

Code: Select all

apt-get install dpkg apt linux-image-****
Please check which kernel version Wheezy uses.

Note:
I strongly suggest you to read about the upgrade procedure as this may change between major version upgrades, and as I also highlighted before, I am trying to recall from memory.
Debian == { > 30, 000 packages }; Debian != systemd
The worst infection of all, is a false sense of security!
It is hard to get away from CLI tools.

bxdfr
Posts: 2
Joined: 2012-07-28 08:26

Re: impossible upgrade squeeze->wheezy

#3 Post by bxdfr »

Thank you!!!
your

Code: Select all

apt-get install dpkg apt linux-image-****
saved me.

After that i did an

Code: Select all

apt-get dist-upgrade
that worked partially
and with

Code: Select all

aptitude dist-upgrade
it finally performed the upgrade.
:D

User avatar
korilius
Posts: 416
Joined: 2012-04-10 00:53
Location: US/IN

Re: impossible upgrade squeeze->wheezy

#4 Post by korilius »

Hope it works out for you. I have a feeling I would be pulling my hair out by the roots afterward if I did that on my machine. :D

Post Reply